using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;   

namespace GridPopulateM
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            int[,] grid = new int[10, 10];
            for (int i = 0; i < 10; i++)
                for (int j = 0; j < 10; j++)
                    grid[i, j] = i * j + i + j;
            this.gridControl1.Model.PopulateValues( GridRangeInfo.Cells(1, 1, 10, 10), grid);
        }

        private void button1_Click(object sender, EventArgs e)
        {
            DataTable dt = new DataTable();
            int from = this.gridControl1.Model.SelectedRanges.ActiveRange.Left;
            int to = this.gridControl1.Model.SelectedRanges.ActiveRange.Right ; 
            for(int ii=0;ii<=to - from ;ii++)
                dt.Columns.Add("Col" + ii);  
  
                foreach (GridRangeInfo range in this.gridControl1.Model.SelectedRanges)
                {
                    
                    for (int i = range.Top; i <= range.Bottom; i++)
                    {
                        DataRow dr = dt.NewRow();
                        int icol = 0;
                        for (int j = range.Left; j <= range.Right; j++)
                        {
                            
                            dr[icol] = this.gridControl1.Model[i,j].CellValue ;
                            icol++;
                        }
                        icol = 0;
                        dt.Rows.Add(dr);  
                    }
                    dt.DefaultView.Sort = "Col1";
                    this.gridControl1.Model.PopulateValues(range, dt.DefaultView );
                    dt.AcceptChanges();
                    this.gridControl1.Refresh();  
                }
        }
    }
}